Bollettino sulla sicurezza Android: settembre 2022

Pubblicato il 6 settembre 2022 Aggiornato il 9 settembre 2022

L'Android Security Bulletin contiene i dettagli delle vulnerabilità di sicurezza che interessano i dispositivi Android. I livelli di patch di sicurezza del 05-09-2022 o successivi risolvono tutti questi problemi. Per informazioni su come controllare il livello di patch di sicurezza di un dispositivo, consulta Controllare e aggiornare la versione di Android .

I partner Android vengono informati di tutti i problemi almeno un mese prima della pubblicazione. Le patch del codice sorgente per questi problemi verranno rilasciate nel repository Android Open Source Project (AOSP) nelle prossime 48 ore. Revisioneremo questo bollettino con i collegamenti AOSP quando saranno disponibili.

Il più grave di questi problemi è un'elevata vulnerabilità di sicurezza nel componente Framework che potrebbe portare a un'escalation locale dei privilegi senza la necessità di privilegi di esecuzione aggiuntivi. La valutazione della gravità si basa sull'effetto che lo sfruttamento della vulnerabilità potrebbe avere su un dispositivo interessato, supponendo che la piattaforma e le attenuazioni del servizio siano disattivate per scopi di sviluppo o se bypassate correttamente.

Fare riferimento alla sezione sulle attenuazioni di Android e Google Play Protect per i dettagli sulle protezioni della piattaforma di sicurezza Android e su Google Play Protect, che migliorano la sicurezza della piattaforma Android.

Mitigazioni dei servizi Android e Google

Questo è un riepilogo delle attenuazioni fornite dalla piattaforma di sicurezza Android e dalle protezioni del servizio come Google Play Protect . Queste funzionalità riducono la probabilità che le vulnerabilità della sicurezza possano essere sfruttate con successo su Android.

  • Lo sfruttamento per molti problemi su Android è reso più difficile dai miglioramenti nelle versioni più recenti della piattaforma Android. Incoraggiamo tutti gli utenti ad aggiornare all'ultima versione di Android, ove possibile.
  • Il team di sicurezza di Android monitora attivamente gli abusi tramite Google Play Protect e avvisa gli utenti in merito alle applicazioni potenzialmente dannose . Google Play Protect è abilitato per impostazione predefinita sui dispositivi con Google Mobile Services ed è particolarmente importante per gli utenti che installano app al di fuori di Google Play.

Dettagli sulla vulnerabilità del livello di patch di sicurezza 2022-09-01

Nelle sezioni seguenti, forniamo i dettagli per ciascuna delle vulnerabilità di sicurezza che si applicano al livello di patch 2022-09-01. Le vulnerabilità sono raggruppate sotto la componente che interessano. I problemi sono descritti nelle tabelle seguenti e includono l'ID CVE, i riferimenti associati, il tipo di vulnerabilità , la gravità e le versioni AOSP aggiornate (ove applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID del bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati a numeri che seguono l'ID del bug. I dispositivi con Android 10 e versioni successive possono ricevere aggiornamenti di sicurezza e aggiornamenti di sistema di Google Play .

Tempo di esecuzione Android

La vulnerabilità più grave in questa sezione potrebbe portare all'escalation locale dei privilegi senza la necessità di privilegi di esecuzione aggiuntivi.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2022-22822 A-219942275 EoP Alto 10, 11, 12, 12L
CVE-2022-23852 A-221255869 EoP Alto 10, 11, 12, 12L
CVE-2022-23990 A-221256678 EoP Alto 10, 11, 12, 12L
CVE-2022-25314 A-221384482 EoP Alto 10, 11, 12, 12L

Struttura

La vulnerabilità più grave in questa sezione potrebbe portare all'escalation locale dei privilegi senza la necessità di privilegi di esecuzione aggiuntivi.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2022-20218 A-223907044 EoP Alto 12, 12 litri
CVE-2022-20392 A-213323615 [ 2 ] EoP Alto 10, 11, 12, 12L
CVE-2022-20393 A-233735886 ID Alto 11, 12, 12L
CVE-2022-20197 A-208279300 EoP Moderare 10, 11, 12, 12L

Sistema

La vulnerabilità più grave in questa sezione potrebbe portare all'escalation locale dei privilegi senza la necessità di privilegi di esecuzione aggiuntivi.

CVE Riferimenti Tipo Gravità Versioni AOSP aggiornate
CVE-2022-20395 A-221855295 EoP Alto 11, 12, 12L, 13
CVE-2022-20398 A-221859734 EoP Alto 13
CVE-2022-20396 A-234440688 ID Alto 12L, 13

Aggiornamenti di sistema di Google Play

I seguenti problemi sono inclusi nei componenti di Project Mainline.

Componente CVE
Controllore delle autorizzazioni, Controllore delle autorizzazioni CVE-2022-20218
Fornitore multimediale CVE-2022-20395
Wifi CVE-2022-20398

Dettagli della vulnerabilità a livello di patch di sicurezza 2022-09-05

Nelle sezioni seguenti, forniamo i dettagli per ciascuna delle vulnerabilità di sicurezza che si applicano al livello di patch 2022-09-05. Le vulnerabilità sono raggruppate sotto la componente che interessano. I problemi sono descritti nelle tabelle seguenti e includono l'ID CVE, i riferimenti associati, il tipo di vulnerabilità , la gravità e le versioni AOSP aggiornate (ove applicabile). Quando disponibile, colleghiamo la modifica pubblica che ha risolto il problema all'ID del bug, come l'elenco delle modifiche AOSP. Quando più modifiche si riferiscono a un singolo bug, i riferimenti aggiuntivi sono collegati a numeri che seguono l'ID del bug.

kernel

La vulnerabilità più grave in questa sezione potrebbe portare alla divulgazione di informazioni locali sui dati di rete senza la necessità di privilegi di esecuzione aggiuntivi.

CVE Riferimenti Tipo Gravità Componente
CVE-2022-20399 A-219808546
kernel a monte
ID Alto SELinux

Componenti del kernel

La vulnerabilità più grave in questa sezione potrebbe portare all'escalation locale dei privilegi nelle librerie di sistema senza la necessità di privilegi di esecuzione aggiuntivi.

CVE Riferimenti Tipo Gravità Componente
CVE-2021-4083 A-216408350
kernel a monte
EoP Alto kernel
CVE-2022-29582 A-231494876
kernel a monte
EoP Alto fs

Tecnologie dell'immaginazione

Queste vulnerabilità interessano i componenti di Imagination Technologies e ulteriori dettagli sono disponibili direttamente da Imagination Technologies. La valutazione della gravità di questi problemi è fornita direttamente da Imagination Technologies.

CVE Riferimenti Gravità Componente
CVE-2021-0697 A-238918403 * Alto PowerVR-GPU
CVE-2021-0942 A-238904312 * Alto PowerVR-GPU
CVE-2021-0943 A-238916921 * Alto PowerVR-GPU
CVE-2021-0871 A-238921253 * Alto PowerVR-GPU

componenti MediaTek

Questa vulnerabilità interessa i componenti di MediaTek e ulteriori dettagli sono disponibili direttamente da MediaTek. La valutazione della gravità di questo problema è fornita direttamente da MediaTek.

CVE Riferimenti Gravità Componente
CVE-2022-26447 A-237956326
M-ALPS06784478 *
Alto Firmware BT

componenti Unicoc

Queste vulnerabilità interessano i componenti Unisoc e ulteriori dettagli sono disponibili direttamente da Unisoc. La valutazione della gravità di tali problematiche è fornita direttamente dall'Unisoc.

CVE Riferimenti Gravità Componente
CVE-2022-20385 A-238379819
U-1903041 *
Alto nocciolo
CVE-2022-20386 A-238227328
U-1903099 *
Alto Androide
CVE-2022-20387 A-238227324
U-1872920 *
Alto Androide
CVE-2022-20388 A-238227323
U-1872920 *
Alto Androide
CVE-2022-20389 A-238257004
U-1872920 *
Alto Androide
CVE-2022-20390 A-238257002
U-1872920 *
Alto Androide
CVE-2022-20391 A-238257000
U-1872920 *
Alto Andoride

componenti Qualcomm

Queste vulnerabilità interessano i componenti di Qualcomm e sono descritte in dettaglio nel bollettino sulla sicurezza di Qualcomm o nell'avviso di sicurezza appropriato. La valutazione della gravità di questi problemi è fornita direttamente da Qualcomm.

CVE Riferimenti Gravità Componente
CVE-2022-22095 A-223210037
QC-CR#3168780
QC-CR#3088894
Alto kernel
CVE-2022-25656 A-228101796
QC-CR#3119439 [ 2 ]
QC-CR#2998082 [ 2 ]
Alto kernel
CVE-2022-25670 A-235102548
QC-CR#3104235
Alto WLAN
CVE-2022-25693 A-235102897
QC-CR#3141474
Alto Schermo
CVE-2022-25704 A-235102694
QC-CR#3155069 [ 2 ]
Alto Bluetooth
CVE-2022-25706 A-235102901
QC-CR#3155132
Alto Bluetooth

Componenti chiusi di Qualcomm

Queste vulnerabilità interessano i componenti closed-source di Qualcomm e sono descritte più dettagliatamente nel bollettino sulla sicurezza di Qualcomm o nell'avviso di sicurezza appropriato. La valutazione della gravità di questi problemi è fornita direttamente da Qualcomm.

CVE Riferimenti Gravità Componente
CVE-2022-25708 A-235102756 * Critico Componente closed-source
CVE-2022-22066 A-223209292 * Alto Componente closed-source
CVE-2022-22074 A-235102567 * Alto Componente closed-source
CVE-2022-22081 A-235102758 * Alto Componente closed-source
CVE-2022-22089 A-235102568 * Alto Componente closed-source
CVE-2022-22091 A-223209291 * Alto Componente closed-source
CVE-2022-22092 A-223211216 * Alto Componente closed-source
CVE-2022-22093 A-223209815 * Alto Componente closed-source
CVE-2022-22094 A-223210036 * Alto Componente closed-source
CVE-2022-25669 A-235102508 * Alto Componente closed-source
CVE-2022-25686 A-235102899 * Alto Componente closed-source
CVE-2022-25688 A-235102421 * Alto Componente closed-source
CVE-2022-25690 A-235102422 * Alto Componente closed-source
CVE-2022-25696 A-235102900 * Alto Componente closed-source

Domande e risposte comuni

Questa sezione risponde alle domande più comuni che possono verificarsi dopo la lettura di questo bollettino.

1. Come faccio a determinare se il mio dispositivo è aggiornato per risolvere questi problemi?

Per informazioni su come controllare il livello di patch di sicurezza di un dispositivo, consulta Controllare e aggiornare la versione di Android .

  • I livelli di patch di sicurezza del 01-09-2022 o successivi risolvono tutti i problemi associati al livello di patch di sicurezza del 01-09-2022.
  • I livelli di patch di sicurezza del 05-09-2022 o successivi risolvono tutti i problemi associati al livello di patch di sicurezza del 05-09-2022 e tutti i livelli di patch precedenti.

I produttori di dispositivi che includono questi aggiornamenti devono impostare il livello della stringa di patch su:

  • [ro.build.version.security_patch]:[2022-09-01]
  • [ro.build.version.security_patch]:[2022-09-05]

Per alcuni dispositivi con Android 10 o versioni successive, l'aggiornamento del sistema di Google Play avrà una stringa di data che corrisponde al livello di patch di sicurezza 2022-09-01. Consulta questo articolo per maggiori dettagli su come installare gli aggiornamenti di sicurezza.

2. Perché questo bollettino ha due livelli di patch di sicurezza?

Questo bollettino ha due livelli di patch di sicurezza in modo che i partner Android abbiano la flessibilità di correggere più rapidamente un sottoinsieme di vulnerabilità simili su tutti i dispositivi Android. I partner Android sono invitati a risolvere tutti i problemi in questo bollettino e utilizzare il livello di patch di sicurezza più recente.

  • I dispositivi che utilizzano il livello di patch di sicurezza 2022-09-01 devono includere tutti i problemi associati a tale livello di patch di sicurezza, nonché le correzioni per tutti i problemi segnalati nei precedenti bollettini sulla sicurezza.
  • I dispositivi che utilizzano il livello di patch di sicurezza 2022-09-05 o successivo devono includere tutte le patch applicabili in questo (e precedenti) bollettini sulla sicurezza.

I partner sono incoraggiati a raggruppare le correzioni per tutti i problemi che stanno affrontando in un unico aggiornamento.

3. Cosa significano le voci nella colonna Tipo ?

Le voci nella colonna Tipo della tabella dei dettagli della vulnerabilità fanno riferimento alla classificazione della vulnerabilità della sicurezza.

Abbreviazione Definizione
RCE Esecuzione di codice a distanza
EoP Elevazione del privilegio
ID Rivelazione di un 'informazione
DoS Negazione del servizio
N / A Classificazione non disponibile

4. Cosa significano le voci nella colonna Riferimenti ?

Le voci nella colonna Riferimenti della tabella dei dettagli della vulnerabilità possono contenere un prefisso che identifica l'organizzazione a cui appartiene il valore di riferimento.

Prefisso Riferimento
UN- ID bug Android
controllo qualità- Numero di riferimento Qualcomm
M- Numero di riferimento MediaTek
N- Numero di riferimento NVIDIA
B- Numero di riferimento Broadcom
U- Numero di riferimento UNISOC

5. Cosa significa un * accanto all'ID del bug Android nella colonna Riferimenti ?

I problemi che non sono disponibili pubblicamente hanno un * accanto all'ID di riferimento corrispondente. L'aggiornamento per quel problema è generalmente contenuto nei driver binari più recenti per i dispositivi Pixel disponibili sul sito Google Developer .

6. Perché le vulnerabilità della sicurezza sono suddivise tra questo bollettino e i bollettini sulla sicurezza del dispositivo/partner, come il bollettino Pixel?

Le vulnerabilità di sicurezza documentate in questo bollettino sulla sicurezza sono necessarie per dichiarare il livello di patch di sicurezza più recente sui dispositivi Android. Per dichiarare un livello di patch di sicurezza non sono necessarie ulteriori vulnerabilità di sicurezza documentate nei bollettini sulla sicurezza del dispositivo/partner. I produttori di dispositivi Android e chipset possono anche pubblicare dettagli sulla vulnerabilità della sicurezza specifici dei loro prodotti, come Google , Huawei , LGE , Motorola , Nokia o Samsung .

Versioni

Versione Data Appunti
1.0 6 settembre 2022 Bollettino pubblicato
1.1 9 settembre 2022 Bollettino rivisto per includere i collegamenti AOSP
Tabella CVE rivista